Subject: RE: dll_list::load_after_fork() blues (was Re: [ python-Bugs-489709 ] Building Fails ...)
From: "Norman Vine" <[email-masked]>
To: "'Michael Hudson'" <[email-masked]>, "'Jason Tishler'" <[email-masked]>
Cc: "'Cygwin'" <[email-masked]>, <[email-masked]>
Date: Mon, 10 Dec 2001 11:52:08 -0500

Michael Hudson writes:
>
>On Mon, 10 Dec 2001, Jason Tishler wrote:
>
>> Unfortunately, when I run the complete Python regression test, I still
>> get the same three test failures as reported by Michael without rebasing:
>>
>>     test_popen2
>>     test_pty
>>     test_socket
>>
>> When I run these tests individually (i.e., not part of the complete test
>> suite), then they pass.  Hence, the rebasing appears not to completely
>> solve this problem.
>
>FWIW, and I don't know how much that is, all tests pass if I link _socket
>statically.  Oh, and this is building without threads, it seems.  I'll do
>a new build with threads and see if anything changes, but I doubt it.

GREAT IDEA !

I just rebuilt python 2.1.1 with threads and linking _socket statically
and all seems to work :-)

=== / usr / src / python-2.1.1 / Modules / Setup.local
# Edit this file for local setup changes
# socket line above, and possibly edit the SSL variable:
SSL=/usr
_socket socketmodule.c \
	-DUSE_SSL -I$(SSL)/include -I$(SSL)/include/openssl \
	-L$(SSL)/lib -lssl -lcrypto

Thanks Michael

Norman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/